/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.converter.impl;

import java.net.URL;
import javax.servlet.http.HttpServletRequest;
import com.stripbandunk.webporting.converter.AbstractParamConverter;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
public class URLParamConverter extends AbstractParamConverter<URL> {

    public URLParamConverter() {
        super(URL.class);
    }

    @Override
    public URL convert(String value) throws Throwable {
        return new URL(value);
    }

    @Override
    public URL noParam(HttpServletRequest request, String key) {
        return null;
    }
}
