/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.engine;

import java.io.IOException;
import javax.servlet.ServletException;
import com.stripbandunk.webporting.http.ReportRequest;
import com.stripbandunk.webporting.http.ReportResponse;
import com.stripbandunk.webporting.type.ReportType;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
public abstract class AbstractParameterizeWebportingEngine extends AbstractWebportingEngine {

    private static final long serialVersionUID = 1L;

    public abstract String getReportTypeParameterName();

    @Override
    public ReportType getReportType(ReportRequest request, ReportResponse response) throws ServletException, IOException {
        String name = getReportTypeParameterName();
        String type = request.getParameter(name);

        if (type.equals(ReportType.CSV.getExtention())) {
            return ReportType.CSV;
        } else if (type.equals(ReportType.DOCX.getExtention())) {
            return ReportType.DOCX;
        } else if (type.equals(ReportType.HTML.getExtention())) {
            return ReportType.HTML;
        } else if (type.equals(ReportType.ODS.getExtention())) {
            return ReportType.ODS;
        } else if (type.equals(ReportType.ODT.getExtention())) {
            return ReportType.ODT;
        } else if (type.equals(ReportType.PDF.getExtention())) {
            return ReportType.PDF;
        } else if (type.equals(ReportType.PPT.getExtention())) {
            return ReportType.PPT;
        } else if (type.equals(ReportType.RTF.getExtention())) {
            return ReportType.RTF;
        } else if (type.equals(ReportType.TEXT.getExtention())) {
            return ReportType.TEXT;
        } else if (type.equals(ReportType.XHTML.getExtention())) {
            return ReportType.XHTML;
        } else if (type.equals(ReportType.XLSX.getExtention())) {
            return ReportType.XLSX;
        } else if (type.equals(ReportType.XML.getExtention())) {
            return ReportType.XML;
        } else {
            return ReportType.PDF;
        }
    }
}
