/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.engine;

import java.io.IOException;
import javax.servlet.ServletException;
import com.stripbandunk.webporting.http.ReportRequest;
import com.stripbandunk.webporting.http.ReportResponse;
import com.stripbandunk.webporting.type.ReportType;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
public abstract class AbstractWebportingEngine extends WebportingEngine {

    private static final long serialVersionUID = 1L;

    @Override
    @SuppressWarnings("NoopMethodInAbstractClass")
    public void beforeProcess(ReportRequest request, ReportResponse response)
            throws ServletException, IOException {
        // do nothing
    }

    @Override
    @SuppressWarnings("NoopMethodInAbstractClass")
    public void afterProcess(ReportRequest request, ReportResponse response)
            throws ServletException, IOException {
        // do nothing
    }

    @Override
    public String getFileName(ReportRequest request, ReportResponse response)
            throws ServletException, IOException {
        StringBuilder builder = new StringBuilder(0);
        builder.append(getServletName());
        builder.append(".");
        builder.append(getReportType(request, response).getExtention());
        return builder.toString();
    }

    @Override
    public ReportType getReportType(ReportRequest request, ReportResponse response)
            throws ServletException, IOException {
        return ReportType.PDF;
    }

    @Override
    public boolean isDenied(ReportRequest request, ReportResponse response)
            throws ServletException, IOException {
        return false;
    }
}
