/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.engine;

import java.io.Serializable;
import java.util.HashMap;
import com.stripbandunk.webporting.converter.ParamConverter;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
public class WebportingEngineConverter implements Serializable {

    private static final long serialVersionUID = 1L;

    private HashMap<Class<?>, ParamConverter<?>> map;

    public WebportingEngineConverter() {
        map = new HashMap<Class<?>, ParamConverter<?>>(14);
    }

    public <T> void registerConverter(ParamConverter<T> converter) {
        map.put(converter.getParamClass(), converter);
    }

    public <T> boolean unregisterConverter(Class<T> clazz) {
        return map.remove(clazz) != null ? true : false;
    }

    @SuppressWarnings("unchecked")
    public <T> ParamConverter<T> getConverter(Class<T> clazz) {
        return (ParamConverter<T>) map.get(clazz);
    }
}
