/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.helper;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.design.JasperDesign;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
@SuppressWarnings("FinalClass")
public final class WebportingCompileHelper {

    private WebportingCompileHelper() {
        // utility class
    }

    public static JasperReport compileDesign(JasperDesign design) throws JRException {
        return JasperCompileManager.compileReport(design);
    }

    public static JasperReport compileDesignFromLocation(String url) throws JRException {
        return WebportingCompileHelper.compileDesignFromLocation(WebportingCompileHelper.class.getClassLoader(), url);
    }

    public static JasperReport compileDesignFromLocation(ClassLoader loader, String location) throws JRException {
        JasperDesign design = WebportingLoaderHelper.loadDesign(loader, location);
        return WebportingCompileHelper.compileDesign(design);
    }
}
