/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.helper;

import javax.servlet.ServletContext;
import com.stripbandunk.webporting.converter.ParamConverter;
import com.stripbandunk.webporting.engine.WebportingEngineConverter;
import com.stripbandunk.webporting.engine.WebportingEngineConstant;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
@SuppressWarnings("FinalClass")
public final class WebportingEngineHelper {

    private WebportingEngineHelper() {
        // utility class
    }

    public static <T> ParamConverter<T> getParamConverter(ServletContext context, Class<T> clazz) {
        WebportingEngineConverter webportingConverter = WebportingEngineHelper.getWebportingEngineConverter(context);
        return webportingConverter.<T>getConverter(clazz);
    }

    public static WebportingEngineConverter getWebportingEngineConverter(ServletContext context) {
        return (WebportingEngineConverter) context.getAttribute(WebportingEngineConstant.WEBPORTING_CONVERTER);
    }
}
