/*
 *  Copyright 2011 StripBandunk.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package com.stripbandunk.webporting.helper;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.design.JasperDesign;
import net.sf.jasperreports.engine.xml.JRXmlLoader;

/**
 *
 * @author Eko Kurniawan Khannedy
 */
@SuppressWarnings("FinalClass")
public final class WebportingLoaderHelper {

    private WebportingLoaderHelper() {
        // utility class
    }

    public static JasperDesign loadDesign(String url) throws JRException {
        return WebportingLoaderHelper.loadDesign(WebportingLoaderHelper.class.getClassLoader(), url);
    }

    public static JasperDesign loadDesign(ClassLoader loader, String url) throws JRException {
        return JRXmlLoader.load(loader.getResourceAsStream(url));
    }

    public static JasperReport loadReport(String url) throws JRException {
        return WebportingLoaderHelper.loadReport(WebportingLoaderHelper.class.getClassLoader(), url);
    }

    public static JasperReport loadReport(ClassLoader loader, String url) throws JRException {
        return JasperCompileManager.compileReport(loader.getResourceAsStream(url));
    }
}
